curl --request POST \
--url https://sandbox.cashfree.com/verification/oauth2/session \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"user": {
"identifier_type": "MOBILE",
"identifier_value": "9988776655"
},
"verification_id": "test_verification_id"
}
'import requests
url = "https://sandbox.cashfree.com/verification/oauth2/session"
payload = {
"user": {
"identifier_type": "MOBILE",
"identifier_value": "9988776655"
},
"verification_id": "test_verification_id"
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
user: {identifier_type: 'MOBILE', identifier_value: '9988776655'},
verification_id: 'test_verification_id'
})
};
fetch('https://sandbox.cashfree.com/verification/oauth2/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/oauth2/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user' => [
'identifier_type' => 'MOBILE',
'identifier_value' => '9988776655'
],
'verification_id' => 'test_verification_id'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-version: <x-api-version>",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/oauth2/session"
payload := strings.NewReader("{\n \"user\": {\n \"identifier_type\": \"MOBILE\",\n \"identifier_value\": \"9988776655\"\n },\n \"verification_id\": \"test_verification_id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-version", "<x-api-version>")
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/oauth2/session")
.header("x-api-version", "<x-api-version>")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"user\": {\n \"identifier_type\": \"MOBILE\",\n \"identifier_value\": \"9988776655\"\n },\n \"verification_id\": \"test_verification_id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/oauth2/session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-version"] = '<x-api-version>'
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user\": {\n \"identifier_type\": \"MOBILE\",\n \"identifier_value\": \"9988776655\"\n },\n \"verification_id\": \"test_verification_id\"\n}"
response = http.request(request)
puts response.read_body{
"reference_id": 3123123,
"verification_id": "123456",
"user": [
{
"identifier_type": "MOBILE",
"identifier_value": "9988123456"
}
],
"expiry": "2024-12-31T23:59:59Z",
"session_id": "session_id_value"
}Initiate OAuth
Use this API to initiate the OAuth process by providing the necessary credentials to obtain the session details, which will be used to initiate the SDK.
Note: The X Client ID and X Client Secret mentioned in this API are obtained from the Merchant Dashboard while creating the app under 1-Click section.
curl --request POST \
--url https://sandbox.cashfree.com/verification/oauth2/session \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"user": {
"identifier_type": "MOBILE",
"identifier_value": "9988776655"
},
"verification_id": "test_verification_id"
}
'import requests
url = "https://sandbox.cashfree.com/verification/oauth2/session"
payload = {
"user": {
"identifier_type": "MOBILE",
"identifier_value": "9988776655"
},
"verification_id": "test_verification_id"
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
user: {identifier_type: 'MOBILE', identifier_value: '9988776655'},
verification_id: 'test_verification_id'
})
};
fetch('https://sandbox.cashfree.com/verification/oauth2/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/oauth2/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user' => [
'identifier_type' => 'MOBILE',
'identifier_value' => '9988776655'
],
'verification_id' => 'test_verification_id'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-version: <x-api-version>",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/oauth2/session"
payload := strings.NewReader("{\n \"user\": {\n \"identifier_type\": \"MOBILE\",\n \"identifier_value\": \"9988776655\"\n },\n \"verification_id\": \"test_verification_id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-version", "<x-api-version>")
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/oauth2/session")
.header("x-api-version", "<x-api-version>")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"user\": {\n \"identifier_type\": \"MOBILE\",\n \"identifier_value\": \"9988776655\"\n },\n \"verification_id\": \"test_verification_id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/oauth2/session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-version"] = '<x-api-version>'
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user\": {\n \"identifier_type\": \"MOBILE\",\n \"identifier_value\": \"9988776655\"\n },\n \"verification_id\": \"test_verification_id\"\n}"
response = http.request(request)
puts response.read_body{
"reference_id": 3123123,
"verification_id": "123456",
"user": [
{
"identifier_type": "MOBILE",
"identifier_value": "9988123456"
}
],
"expiry": "2024-12-31T23:59:59Z",
"session_id": "session_id_value"
}Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used. Format is in YYYY-MM-DD
Body
Find the request parameters to initiate Oauth
It displays the list of user identifiers.
Show child attributes
Show child attributes
It is the unique ID you create to identify the user session. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.
"test_verification_id"
Response
Initiate Oauth Response Body
It displays the unique ID you created to identify the verification request.
"test_verification_id"
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
123
The expiration date and time of the session, in UTC format. Format YYYY-MM-DDTHH:mm:ssZ
"2024-12-31T23:59:59Z"
A unique identifier for the session associated with the request.
"session_id_value"
It displays the list of user identifiers provided in the request.
Show child attributes
Show child attributes
